PACKAGE_NAME="ixxat-socketcan"
PACKAGE_VERSION="#MODULE_VERSION#"
AUTOINSTALL="yes"

BUILT_MODULE_NAME[0]="ixx_pci"
BUILT_MODULE_LOCATION[0]="can-ibxxx_socketcan"
DEST_MODULE_LOCATION[0]="/updates"

BUILT_MODULE_NAME[1]="ixx_usb"
BUILT_MODULE_LOCATION[1]="usb-to-can_socketcan"
DEST_MODULE_LOCATION[1]="/updates"

# Find out how many CPU cores can be use if we pass appropriate -j option to make.
# DKMS could use all cores on multicore systems to build the kernel module.
num_cpu_cores()
{
  if [ -x /usr/bin/nproc ]; then
    nproc
  else
    echo "1"
  fi
}

MAKE="'make' -j$(num_cpu_cores) KVER=$kernelver"
CLEAN="'make' clean"
